# FoundationClasses
TKAdvTools
Expr

# Expr_NamedFunction Class Reference

`#include <Expr_NamedFunction.hxx>`

Inheritance diagram for Expr_NamedFunction:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_NamedFunction (const TCollection_AsciiString &name, const Handle(Expr_GeneralExpression)&exp, const Expr_Array1OfNamedUnknown &vars)
| Creates a function of given variables <vars> with name <name> defined by the expression <exp>. .
Standard_EXPORT void | SetName (const TCollection_AsciiString &newname)
| Sets the name <newname> to <me>. .
Standard_EXPORT TCollection_AsciiString | GetName () const
| Returns the name assigned to <me> .
Standard_EXPORT Standard_Integer | NbOfVariables () const
| Returns the number of variables of <me>. .
Standard_EXPORT Handle_Expr_NamedUnknown | Variable (const Standard_Integer index) const
| Returns the variable denoted by <index> in <me>. Raises OutOfRange if <index> is greater than NbOfVariables of <me>, or less than or equal to zero. .
Standard_EXPORT Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &values) const
| Computes the value of <me> with the given variables. Raises DimensionMismatch if Length(vars) is different from Length(values). .
Standard_EXPORT Handle_Expr_GeneralFunction | Copy () const
| Returns a copy of <me> with the same form. .
Standard_EXPORT Handle_Expr_GeneralFunction | Derivative (const Handle(Expr_NamedUnknown)&var) const
| Returns Derivative of <me> for variable . .
Standard_EXPORT Handle_Expr_GeneralFunction | Derivative (const Handle(Expr_NamedUnknown)&var, const Standard_Integer deg) const
| Returns Derivative of <me> for variable with degree <deg>. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralFunction)&func) const
| Tests if <me> and <func> are similar functions (same name and same used expression). .
Standard_EXPORT Standard_Boolean | IsLinearOnVariable (const Standard_Integer index) const
| Tests if <me> is linear on variable on range <index> .
Standard_EXPORT TCollection_AsciiString | GetStringName () const
Standard_EXPORT Handle_Expr_GeneralExpression | Expression () const
| Returns equivalent expression of <me>. .
Standard_EXPORT void | SetExpression (const Handle(Expr_GeneralExpression)&exp)
| Modifies expression of <me>. Warning: Beware of derivatives. See FunctionDerivative .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myName
Handle_Expr_GeneralExpression | myExp
Expr_Array1OfNamedUnknown | myVariables

## Constructor & Destructor Documentation

Standard_EXPORT Expr_NamedFunction::Expr_NamedFunction | ( | const TCollection_AsciiString & | name,
|  | const Handle(Expr_GeneralExpression)& | exp,
|  | const Expr_Array1OfNamedUnknown & | vars
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_GeneralFunction Expr_NamedFunction::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_GeneralFunction Expr_NamedFunction::Derivative | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Standard_Integer | deg
| ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_GeneralFunction Expr_NamedFunction::Derivative | ( | const Handle(Expr_NamedUnknown)& | var | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Real Expr_NamedFunction::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | values
| ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_NamedFunction::Expression | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Expr_NamedFunction::GetName | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Expr_NamedFunction::GetStringName | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT const Expr_NamedFunction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralFunction.

Standard_EXPORT Standard_Boolean Expr_NamedFunction::IsIdentical | ( | const Handle(Expr_GeneralFunction)& | func | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Boolean Expr_NamedFunction::IsLinearOnVariable | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Integer Expr_NamedFunction::NbOfVariables | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT void Expr_NamedFunction::SetExpression | ( | const Handle(Expr_GeneralExpression)& | exp | ) |

Standard_EXPORT void Expr_NamedFunction::SetName | ( | const TCollection_AsciiString & | newname | ) |

Standard_EXPORT Handle_Expr_NamedUnknown Expr_NamedFunction::Variable | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

## Field Documentation

Handle_Expr_GeneralExpression Expr_NamedFunction::myExp `[private]`

TCollection_AsciiString Expr_NamedFunction::myName `[private]`

Expr_Array1OfNamedUnknown Expr_NamedFunction::myVariables `[private]`

The documentation for this class was generated from the following file:

- Expr_NamedFunction.hxx